#ifndef SEXCEPTION_H
#define SEXCEPTION_H

#include <QUnhandledException>


class SException : public QUnhandledException
{
public:
    void raise() const override
    {
        throw *this;
    }

    SException* clone() const override
    {
        return new SException(*this);
    }
};

#endif // SEXCEPTION_H
